<?php
/***************************************************************************
 * 
 *                              arcade.php
 *                             ------------
 *   begin                : Mondayday, Jan 8th, 2007
 *   copyright            : (c) 2005 - 2007 phpbb-arcade.com
 *   email                : defenders_realm@yahoo.com
 *
 *   $Id: arcade.php, v2.2.0 2007/01/08 11:26:23 dEfEndEr Exp $
 *
 ***************************************************************************
 *
 *  All Information Contained Within is Copyright www.phpbb-arcade.com
 *
 **************************************************************************/
//
//  Set phpBB Information
//
define('IN_PHPBB', true); 
$phpbb_root_path = './'; 
$phpEx = substr(strrchr(__FILE__, '.'), 1);
//
//  Load required files
//
include_once($phpbb_root_path . 'common.'.$phpEx); 
include_once($phpbb_root_path . 'includes/functions_arcade.'.$phpEx);
//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_ACTIVITY);
init_userprefs($userdata);
$version  = $arcade->arcade_config('version');
//
// End session management
//
$sessdo   = $arcade->pass_var('sessdo', '');
//
//  Process the VBulletin Arcade v3 Command Set
//
if ($sessdo != '')
{		
	switch($sessdo)
	{
		case 'sessionstart' :		
			echo '&connStatus=1&initbar='. $arcade->pass_var('gamename', '') .'&val=x';
			exit;			
		break;
		
		case 'permrequest' :		
			echo '&validate=1&microone='. $arcade->pass_var('score', 0) .'|'. $arcade->pass_var('fakekey', '') .'&val=x';
			exit;			
	 	break;
		
		case 'burn' :		
      $session_info = $arcade->get_session();
      $arcade->del_session($session_info['arcade_hash']);
      
      if (strtoupper($session_info['user_win']) != 'SELF')
      {
        $gen_simple_header = TRUE;
        $newscore_close =  $lang['newscore_close'];
      }

      $template->set_filenames(array('body' => 'arcade_saved_body.tpl')); 

    	$microone 	         = $arcade->pass_var('microone', '');
			$game_data           = explode('|', $microone);
			$arcade->score 	     = $game_data[0];
			$arcade->game_name   = trim(addslashes(stripslashes($game_data[1])));
			if($arcade->game_name != $session_info['game_name'])
			{
  			$arcade->log_game('BAD_GAME', $session_info['game_name'] . '=>' . $arcade->game_name . ' ' . $microone);
  			$arcade->message = $lang['error_game_info_data']; 
      }
      else if($arcade->score <> 0)
      {
    		$arcade->newscore();
      }
//
//  Log Game results..
//
      $log = 'VBulletin ';
      foreach($HTTP_POST_VARS as $key => $value)
      {
        $log .= addslashes($key) . '=>' . addslashes(htmlspecialchars($value)) . ' ';
      }
      $arcade->log_game('GAME', $log);
      
      $template->assign_vars(array(
        	'SAVED'		=> $arcade->message, 
        	'GAME_NAME' => $session_info['game_desc']	)); 
//
// Generate the page 
//
      include($phpbb_root_path . 'includes/page_header.'.$phpEx); 
      $template->pparse('body'); 
      include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
		  exit;		
	}
}
else
{
 	$header_location = ( @preg_match("/Microsoft|WebSTAR|Xitami/", getenv("SERVER_SOFTWARE")) ) ? "Refresh: 0; URL=" : "Location: ";
	header($header_location . 'activity.'. $phpEx .'?sid='. $userdata['session_id'], true);
}

?>
